/* File modification date */

#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>

/* regular format 92/04/28 11:06:59 PDT */
/* verbose format Fri Feb 18 14:38:42 PST 1994 */

int verbose = 0;

void usage(char *program_name)
{
  fprintf(stderr, "usage: %s file_name [-verboseformat]\n", program_name);
}


int main(argc, argv)
int argc;
char **argv;
{
  struct stat statresults;
  char *file_name;
  char *program_name;

  program_name = argv[0];
  if (argc != 2 && argc != 3) {
    usage(program_name);
    exit(-1);
  } else {
    if (argc == 3) {
      if (strcmp(argv[2], "-verboseformat")==0) {
	verbose = 1;
      } else {
	usage(program_name); 
	exit(-1);
      }
    }
    file_name = argv[1];
  }

  if (stat(file_name, &statresults) == -1) {
    fprintf(stderr, "error: can't calculate %s of %s (error %d) \n", program_name, file_name, errno);
    exit(-1);
  }

  {
    char buf[256];
    if (verbose)
      /* same as `date` program */
      strftime(buf, sizeof buf, "%a %b %e %I:%M:%S %Z %Y", localtime(&statresults.st_mtime));
    else
      strftime(buf, sizeof buf, "%y/%m/%d %T %Z", localtime(&statresults.st_mtime));
    printf("%s\n", buf);
  }
}

